Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sos.koa
Class CandidateListInputSource

    java.lang.Object
      org.xml.sax.InputSource
          sos.koa.CandidateListInputSource

public class CandidateListInputSource
extends org.xml.sax.InputSource

CandidateListInputSource.

Version:
  $Id: CandidateListInputSource.java,v 1.2 2004/05/04 19:51:51 martijno Exp $
Author:
  Engelbert Hubbers (hubbers@cs.kun.nl)

Field Summary
`private CandidateList` | `candidates`

Fields inherited from class org.xml.sax.InputSource
``

Constructor Summary
`CandidateListInputSource()`
`CandidateListInputSource(CandidateList candidates)` Constructor for the CandidateListInputSource

Method Summary
`CandidateList` | `getCandidateList()` Returns the candidates.
`void` | `setCandidateList(CandidateList candidates)` Sets the candidates.

Methods inherited from class org.xml.sax.InputSource
`getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setByteStream, setCharacterStream, setEncoding, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### candidates

    private CandidateList candidates

Constructor Detail

### CandidateListInputSource

    public CandidateListInputSource(CandidateList candidates)

  Constructor for the CandidateListInputSource

  Parameters:
    `candidates` - The CandidateList object to use

### CandidateListInputSource

    public CandidateListInputSource()

Method Detail

### getCandidateList

    public CandidateList getCandidateList()

  Returns the candidates.

  Returns:
    CandidateList

### setCandidateList

    public void setCandidateList(CandidateList candidates)

  Sets the candidates.

  Parameters:
    `candidates` - The candidates to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD